#
# Unknown Horizons
#

Name:           unknown-horizons
Version:        2012.1
Release:        4%{?dist}
License:        GPLv2+ and Python and MIT and CC-BY-SA
Summary:        An economy and city building RTS game
Url:            http://www.unknown-horizons.org
Group:          Amusements/Games
Source:         http://freefr.dl.sourceforge.net/project/unknownhorizons/Unknown%20Horizons/%{version}/%{name}-%{version}.tar.xz
Patch0:         unknown-horizons-use-fedora-fonts.patch
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  docbook-style-xsl
BuildRequires:  fife-devel >= 0.3.3
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libxslt-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(python)
BuildRequires:  python-distutils-extra
BuildRequires:  xz

Requires:       %{name}-data
Requires:       %{name}-lang
Requires:       cjkuni-uming-fonts
Requires:       hicolor-icon-theme
Requires:       linux-libertine-fonts
Requires:       PyYAML
Requires:       python-enet
Requires:       python-fife

%description
Unknown Horizons is a 2D real-time strategy simulation with an emphasis on
economy and city building. Expand your small settlement to a strong and
wealthy colony, collect taxes and supply your inhabitants with valuable
goods. Increase your power with a well balanced economy and with strategic
trade and diplomacy.


%package data
Summary:        Data files for unknown-horizons
Group:          Amusements/Games
BuildArch:      noarch

%description data
Unknown Horizons is a 2D real-time strategy simulation with an emphasis on
economy and city building. Expand your small settlement to a strong and
wealthy colony, collect taxes and supply your inhabitants with valuable
goods. Increase your power with a well balanced economy and with strategic
trade and diplomacy.

This package provides the Unknown Horizons content.


%package lang
Summary:        Language files for unknown-horizons
Group:          Amusements/Games
BuildArch:      noarch

%description lang
Unknown Horizons is a 2D real-time strategy simulation with an emphasis on
economy and city building. Expand your small settlement to a strong and
wealthy colony, collect taxes and supply your inhabitants with valuable
goods. Increase your power with a well balanced economy and with strategic
trade and diplomacy.

This package provides the localization files for Unknown Horizons.


%prep
%setup -q -n %{name}
# -- documentation
cp doc/{AUTHORS,GPL,LICENSE,MIT,CC,CHANGELOG} .
%patch0 -p1


%build
python setup.py build


%install
python setup.py install \
  --prefix=%{_prefix} \
  --root=%{buildroot}

# -- Use svg icon on hicolor - upstream moving this way on future releases
rm -r %{buildroot}%{_datadir}/pixmaps
install -Dm 0644 content/gfx/uh.svg \
        %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%find_lang %{name}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

find %{buildroot} -name "*egg-info" -type f -delete -print
find %{buildroot} -type f -size 0 -delete -print
find %{buildroot} -type f -name "*enet.so" -delete -print

# remove bundled fonts - we use system fonts
find %{buildroot}%{_datadir}/%{name}/content/fonts/ -type f -name "*.ttf" -print -delete
find %{buildroot}%{_datadir}/%{name}/content/fonts/ -type f -name "*.ttc" -print -delete
for i in README_LIBERTINE README_UMING GPL_fontexception OFL; do
   find %{buildroot}%{_datadir}/%{name}/content/fonts/ -type f -name $i -delete -print
done


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS CC CHANGELOG GPL LICENSE MIT
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/settings-template.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{python_sitelib}/horizons/
%{_mandir}/man6/%{name}.6.gz


%files data
%{_datadir}/%{name}/content/
%exclude %{_datadir}/%{name}/content/lang/


%files lang -f %{name}.lang


%changelog
* Tue May 15 2012 Nelson Marques <nmarques@fedoraproject.org> 2012.1-4
- Update to release 2012.1

* Tue Dec 13 2011 Nelson Marques <nmarques@fedoraproject.org> - 2011.3-3
- Update to release 2011.3
  + Many bug fixes (see ChangeLog)
- Removed unknown-horizons-fedora-linux-libertine.patch, fixed upstream
- Packager Notes:
  + Fife requires >= 0.3.3 (recommended 0.3.3r2)
  + Minor spec improvements (readibility)

* Wed Jul 06 2011 Nelson Marques <nmarques@fedoraproject.org> - 2011.2-2
- Add unknown-horizons-fedora-linux-libertine.patch: uses system installed
  LinuxLibertine fonts instead of bundled ones. Upstream will work on a
  better solution. Patch not upstreamed.
- Moved source to official release in .xz format
- Add desktop-file-utils to build requirements and linux-libertine-fonts
  to requirements.
- Improve license entries, changelog and minor spec cleanups.

* Fri Jul 01 2011 Nelson Marques <nmarques@fedoraproject.org> - 2011.2-1
- Initial package from release 2011.2.
